Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028290
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminoralways2014-11-26 13:242015-03-03 16:09
ReportercaristuView Statuspublic 
Assigned Toaferraz 
PriorityhighResolutionfixedFixed in Versionpi
StatusclosedFix in branchpiFixed in SCM revision3b3d70f367a3
ProjectionnoneETAnoneTarget Version3.0PR15Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028290: Performance problem in SL_TaxCategory_Org callout having a big amount of product categories

DescriptionThere is a performance problem in the SL_TaxCategory_Org callout when we have an environment with big amount of product categories.

In line 84 of this class, the list() method for a product category list is invoked to generate the values for the "Product Category" field:

for (final ProductCategory productCategory : productCatCrit.list()) {

Having this amount of product categories this can cause an OutOfMemoryError.
Steps To Reproduce1) Having an environment with around 50000 product categories, go to the [Product] window
2) Create a new record. Notice that it takes so long to display the values in the user interface
3) If we configure tomcat with -Xmx1024M it could be not possible to create the record as the following exception is thrown: java.lang.OutOfMemoryError: GC overhead limit exceeded
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0074502)
aferraz (developer)
2015-02-16 11:17

- Having an environment with around 50000 product categories, go to the [Product] window
- Create a new record. Notice that it doesn't take long to display the values in the user interface
(0075114)
hgbot (developer)
2015-03-03 09:29

Repository: erp/devel/pi
Changeset: 3b3d70f367a381a13b476a35e3592600f8c8adff
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Feb 16 12:05:59 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3b3d70f367a381a13b476a35e3592600f8c8adff [^]

Fixes issue 28290: Performance problem in SL_TaxCategory_Org callout

Changed SL_TaxCategory_Org, now executes a query against ProductCategory only one time instead of two times, retrieving only the one needed result

---
M src/org/openbravo/erpCommon/ad_callouts/SL_TaxCategory_Org.java
---
(0075115)
umartirena (developer)
2015-03-03 09:31

Code Review + Testing OK
(0075127)
hudsonbot (developer)
2015-03-03 16:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f4fc528722d4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-26 13:24 caristu New Issue
2014-11-26 13:24 caristu Assigned To => AtulOpenbravo
2014-11-26 13:24 caristu Modules => Core
2014-11-26 13:24 caristu Triggers an Emergency Pack => No
2014-11-26 13:24 caristu Issue Monitored: networkb
2014-11-26 13:24 caristu Tag Attached: Performance
2014-12-01 13:38 egoitz Target Version 3.0PR15Q1 => 3.0PR15Q2
2014-12-08 21:08 fsoto82 Status new => scheduled
2014-12-08 21:08 fsoto82 Assigned To AtulOpenbravo => fsoto82
2014-12-08 21:08 fsoto82 fix_in_branch => pi
2015-02-12 17:20 aferraz Assigned To fsoto82 => aferraz
2015-02-16 11:17 aferraz Note Added: 0074502
2015-03-03 09:29 hgbot Checkin
2015-03-03 09:29 hgbot Note Added: 0075114
2015-03-03 09:29 hgbot Status scheduled => resolved
2015-03-03 09:29 hgbot Resolution open => fixed
2015-03-03 09:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3b3d70f367a381a13b476a35e3592600f8c8adff [^]
2015-03-03 09:31 umartirena Review Assigned To => umartirena
2015-03-03 09:31 umartirena Note Added: 0075115
2015-03-03 09:31 umartirena Status resolved => closed
2015-03-03 09:31 umartirena Fixed in Version => pi
2015-03-03 16:09 hudsonbot Checkin
2015-03-03 16:09 hudsonbot Note Added: 0075127


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker